目录

Lists changes.

Request

HTTP Request

GET
https://drive.cloud.hicloud.com/drive/v1/changes

Parameters

*Some parameters are mandatory.

Parameter NameType
Description
isIncludeDeletedstringqueryIndicates whether to include changes indicating that items have been removed from the list of changes.
pageSizeintegerqueryThe maximum number of changes to return per page. The default value is 100. The acceptable values are 1 to 100. Note: It is possible that partial or empty result pages are returned before the end of the change list has been reached.
cursor            stringquery      Cursor for the current page. It should be set to the value of nextCursor from the previous response. (Mandatory)
containersstringquery  Query scope. Its value can be drive, applicationData, or a combination of the two (separated by a comma). The default value is drive.
fieldsstringquery Fields in the request, which are in the partial response format.
formstringquery Media format.
prettyPrintbooleanquery   Indicates whether to return a response in a human-readable format.
quotaIdstringquery   User identifier, consisting of 40 characters at maximum. It is used to restrict the number of API calls of an individual user.
callbackstringquery     Callback function used in JSONP requests.
x-hw-trace-idstringheader   ID used for service tracing.
x-hw-app-idstringheaderApp ID.
versionstringheaderSDK version number.
x-hw-terminalstringheader   Device model. 
x-hw-osstringheaderDevice operating system. 
unionIDstringheaderOpen user ID.
User-AgentstringheaderApp version number or ID.

Request Body

Leave the request body empty.

Parameter NameTypeDescription

Response

If successful, this method returns a response body with the following structure:

  1. {
  2.            "category": "drive#changeList",
  3.            "nextCursor": "string",
  4.            "newStartCursor": "string",
  5.            "changes": [
  6.                {
  7.                    "category": "drive#change",
  8.                    "type": "string",
  9.                    "changeType": "string",
  10.                    "time": "2019-12-10T12:19:33.539Z",
  11.                    "deleted": true,
  12.                    "fileId": "string",
  13.                    "file": {
  14.                        "category": "drive#file",
  15.                        "id": "string",
  16.                        "fileName": "string",
  17.                        "mimeType": "string",
  18.                        "description": "string",
  19.                        "favorite": true,
  20.                        "recycled": true,
  21.                        "directlyRecycled": true,
  22.                        "recyclingUser": {
  23.                            "category": "drive#user",
  24.                            "displayName": "string",
  25.                            "profilePhotoLink": "string",
  26.                            "me": true,
  27.                            "permissionId": "string",
  28.                            "userAccount": "string"
  29.                        },
  30.                        "recycledTime": "2019-12-10T12:19:33.539Z",
  31.                        "parentFolder": ["string"],
  32.                        "properties": {
  33.                            "additionalProp1": "string",
  34.                            "additionalProp2": "string",
  35.                            "additionalProp3": "string"
  36.                        },
  37.                        "appSettings": {
  38.                            "additionalProp1": "string",
  39.                            "additionalProp2": "string",
  40.                            "additionalProp3": "string"
  41.                        },
  42.                        "containers": ["drive"],
  43.                        "version": 0,
  44.                        "contentDownloadLink": "string",
  45.                        "iconDownloadLink": "string",
  46.                        "existThumbnail": true,
  47.                        "thumbnailDownloadLink": "string",
  48.                        "smallThumbnailDownloadLink": "string",
  49.                        "thumbnailVersion": 0,
  50.                        "onLineViewLink": "string",
  51.                        "createdTime": "2019-12-10T12:19:33.539Z",
  52.                        "editedTime": "2019-12-10T12:19:33.539Z",
  53.                        "editedByMeTime": "2019-12-10T12:19:33.539Z",
  54.                        "editedByMe": true,
  55.                        "sharedWithMeTime": "2019-12-10T12:19:33.539Z",
  56.                        "sharer": {
  57.                            "category": "drive#user",
  58.                            "displayName": "string",
  59.                            "profilePhotoLink": "string",
  60.                            "me": true,
  61.                            "permissionId": "string",
  62.                            "userAccount": "string"
  63.                        },
  64.                        "owners": [{
  65.                            "category": "drive#user",
  66.                            "displayName": "string",
  67.                            "profilePhotoLink": "string",
  68.                            "me": true,
  69.                            "permissionId": "string",
  70.                            "userAccount": "string"
  71.                        }],
  72.                        "lastEditor": {
  73.                            "category": "drive#user",
  74.                            "displayName": "string",
  75.                            "profilePhotoLink": "string",
  76.                            "me": true,
  77.                            "permissionId": "string",
  78.                            "userAccount": "string"
  79.                        },
  80.                        "hasShared": false,
  81.                        "ownedByMe": true,
  82.                        "capabilities": {
  83.                            "addChildNodePermission": true,
  84.                            "writerHasChangeCopyPermission": false,
  85.                            "commentPermission": true,
  86.                            "copyPermission": true,
  87.                            "deletePermission": true,
  88.                            "deleteChildNodePermission": true,
  89.                            "downloadPermission": true,
  90.                            "editPermission": true,
  91.                            "listChildNodePermission": true,
  92.                            "editContentPermission": true,
  93.                            "readHistoryVersionPermission": true,
  94.                            "removeChildNodePermission": true,
  95.                            "renameFilePermission": true,
  96.                            "shareFilePermission": false,
  97.                            "recyclePermission": true,
  98.                            "recycleChildNodePermission": true,
  99.                            "unrecyclePermission": true
  100.                        },
  101.                        "viewersHasCopyContentPermission": false,
  102.                        "writerHasCopyPermission": false,
  103.                        "writersHasSharePermission": false,
  104.                        "permissions": [
  105.                        {
  106.                              "category": "drive#permission",
  107.                              "id": "string",
  108.                              "type": "user",
  109.                              "role": "owner",
  110.                              "userAccount": "string",
  111.                              "displayName": "string",
  112.                              "expirationTime": "2020-02-24T00:50:54.483Z",
  113.                              "deleted": true,
  114.                              "canDiscoverFile": true
  115.                        }
  116.                          ],
  117.                          "permissionIds": ["string"],
  118.                        "originalFilename": "string",
  119.                        "fullFileSuffix": "string",
  120.                        "fileSuffix": "string",
  121.                        "size": 0,
  122.                        "occupiedSpace": 0,
  123.                        "pictureMetadata": {
  124.                            "width": 0,
  125.                            "height": 0,
  126.                            "rotation": 0,
  127.                            "location": {
  128.                                "latitude": 0,
  129.                                "longitude": 0,
  130.                                 "altitude": 0
  131.                             },
  132.                            "exifTime": "string",
  133.                            "cameraMaker": "string",
  134.                            "cameraModel": "string",
  135.                            "exposureTime": 0,
  136.                            "aperture": 0,
  137.                            "flashUsed": true,
  138.                            "focalLength": 0,
  139.                            "isoSpeed": 0,
  140.                            "meteringMode": "string",
  141.                            "sensor": "string",
  142.                            "exposureMode": "string",
  143.                            "colorSpace": "string",
  144.                            "whiteBalance": "string",
  145.                            "exposureBias": 0,
  146.                            "maxApertureValue": 0,
  147.                            "subjectDistance": 0,
  148.                            "lens": "string"
  149.                        },
  150.                        "videoMetadata": {
  151.                            "width": 0,
  152.                            "height": 0,
  153.                            "durationTime": 0
  154.                        },
  155.                        "sha256": "string",
  156.                        "lastHistoryVersionId": "string",
  157.                        "contentVersion": "string"
  158.                    }
  159.                }
  160.            ]
  161. }
idstringID of the file.
categorystring
           
Resource type. The value is always drive#changeList.
nextCursorstringNext cursor.
newStartCursor
           
stringNew start cursor for the change.
changes[]listThe list of changes.
changes.categorystringResource type. The value is always drive#change.
changes.typestringResource type for the change.
changes.timestringThe time when the change was made.
changes.deletedbooleanIndicates whether the resource has been removed.
changes.fileIdstringID of the file.
changes.file.categorystringResource type. The value is always drive#file.
changes.file.idstringID of the file.
changes.file.fileName            stringName of the file.
changes.file.mimeTypestringMIME type of the file.
changes.file.descriptionstringShort description of the file.
changes.file.favorite            booleanIndicates whether the file has been favorited.
changes.file.recycled            booleanIndicates whether the file has been moved to the recycle bin.
changes.file.directlyRecycled            booleanIndicates whether the file has been explicitly trashed.
changes.file.recyclingUser.category            stringUser type. The value is always drive#user.
changes.file.recyclingUser.displayNamestringDisplay name for this user.
changes.file.recyclingUser.profilePhotoLink            stringLink to the user's profile picture, which is not returned by default.
changes.file.recyclingUser.me            booleanIndicates whether this user is the requesting user.
changes.file.recyclingUser.permissionIdstringPermission ID.
changes.file.recyclingUser.userAccountstringAccount of the user, which is not returned by default.
changes.file.recycledTime            stringTime when the item was moved to the recycle bin.
changes.file.parentFolder[]stringParent folder.
changes.file.properties[]stringCustom file properties that are universally visible.
changes.file.appSettings[]stringCustom properties of the requesting app.
changes.file.containers[]stringSpaces that contain the file. Values: drive and applicationData
changes.file.versionintegerVersion number of the file.
changes.file.contentDownloadLink            stringLink for downloading the file in a browser.
changes.file.iconDownloadLink            stringLink to the file's icon.
changes.file.existThumbnail            booleanIndicates whether the file has a thumbnail.
changes.file.thumbnailDownloadLink            stringLink to the file's large thumbnail.
changes.file.smallThumbnailDownloadLinkstringLink to the file's small thumbnail.
changes.file.thumbnailVersionintegerVersion number for the thumbnail.
changes.file.onLineViewLinkstringLink to view the file online.
changes.file.createdTimestringTime when the file was created.
changes.file.editedTime            stringLast time the file was modified.
changes.file.editedByMeTime            stringLast time the file was modified by the user.
changes.file.editedByMe            booleanIndicates whether the file was modified by the user.
changes.file.sharedWithMeTimestringTime at which the file was shared with the user.
changes.file.sharer.category            stringUser type. The value is always drive#user.
changes.file.sharer.displayNamestringDisplay name for this user.
changes.file.sharer.profilePhotoLink            stringLink to the user's profile picture, which is not returned by default.
changes.file.sharer.me            booleanIndicates whether this user is the requesting user.
changes.file.sharer.permissionIdstringPermission ID.
changes.file.sharer.userAccountstringAccount of the user, which is not returned by default.
changes.file.owners.category            stringUser type. The value is always drive#user.
changes.file.owners.displayNamestringDisplay name for this user.
changes.file.owners.profilePhotoLink            stringLink to the user's profile picture, which is not returned by default.
changes.file.owners.me            booleanIndicates whether this user is the requesting user.
changes.file.owners.permissionIdstringPermission ID.
changes.file.owners.userAccountstringAccount of the user, which is not returned by default.
changes.file.lastEditor.category            stringUser type. The value is always drive#user.
changes.file.lastEditor.displayNamestringDisplay name for this user.
changes.file.lastEditor.profilePhotoLink            stringLink to the user's profile picture, which is not returned by default.
changes.file.lastEditor.me            booleanIndicates whether this user is the requesting user.
changes.file.lastEditor.permissionIdstringPermission ID.
changes.file.lastEditor.userAccountstringAccount of the user, which is not returned by default.
changes.file.hasShared            booleanIndicates whether the file has been shared.
changes.file.ownedByMebooleanIndicates whether the user owns the file.
changes.file.capabilities.addChildNodePermission            booleanIndicates whether the current user has permission to create subfolders to a particular folder.
changes.file.capabilities.writerHasChangeCopyPermission            booleanIndicates whether the current user (assuming the writer role) has permission to change the content of this file.
changes.file.capabilities.commentPermission            booleanIndicates whether the current user has permission to comment on this file.
changes.file.capabilities.copyPermission            booleanIndicates whether the current user has permission to copy this file.
changes.file.capabilities.deletePermission            booleanIndicates whether the current user has permission to delete this file.
changes.file.capabilities.deleteChildNodePermission            booleanIndicates whether the current user has permission to delete subfolders from this folder.
changes.file.capabilities.downloadPermission            booleanIndicates whether the current user has permission to download this file.
changes.file.capabilities.editPermission            booleanIndicates whether the current has permission to edit this file.
changes.file.capabilities.listChildNodePermission            booleanIndicates whether the current user has permission to list subfolders in this folder.
changes.file.capabilities.editContentPermission            booleanIndicates whether the current user has permission to modify the content of this file.
changes.file.capabilities.readHistoryVersionPermission            booleanIndicates whether the current user has permission to read revisions of this file.
changes.file.capabilities.removeChildNodePermission            booleanIndicates whether the current user has permission to remove subfolders from this folder.
changes.file.capabilities.renameFilePermission            booleanIndicates whether the current user has permission to rename this file.
changes.file.capabilities.shareFilePermission            booleanIndicates whether the current user has permission to share this file.
changes.file.capabilities.recyclePermission            booleanIndicates whether the current user has permission to move this file to the recycle bin.
changes.file.capabilities.recycleChildNodePermission            booleanIndicates whether the current user has permission to move the subfolders in this folder to the recycle bin.
changes.file.capabilities.unrecyclePermission            booleanIndicates whether the current user has permission to restore this file from the recycle bin.
changes.file.viewersHasCopyContentPermission            booleanIndicates whether the current user has permission to copy the content of this file.
changes.file.writerHasCopyPermission            booleanIndicates whether the current user (assuming the writer role) has permission to copy this file.
changes.file.writersHasSharePermission            booleanIndicates whether the current user (assuming the writer role) has permission to share this file.
changes.file.permissions[]
           
stringList of permissions for the file.
changes.file.permissions.categorystringPermission type. The value is always drive#permission.
changes.file.permissions.idstringPermission ID.
changes.file.permissions.typestringGrantee type. Values: user and anyone.
changes.file.permissions.rolestringRole granted by the permission. Values: owner, writer, commenter, and reader.
changes.file.permissions.userAccountstringUser account.
changes.file.permissions.displayNamestringDisplay name for the permission.
changes.file.permissions.expirationTimestringTime when the permission will expire.
changes.file.permissions.deletedboolean            Indicates whether the permission is deleted.
changes.file.permissions.canDiscoverFilebooleanIndicates whether the permission allows the file to be searched. It is applicable only to permissions of the anyone type.
changes.file.originalFilenamestringOriginal name of the file.
changes.file.fullFileSuffix            stringFull file extension extracted from the name field. It is the substring that comes immediately after the dot character in the filename.
changes.file.fileSuffix            stringFinal component offullFileSuffix.
changes.file.sizeintegerSize of file content.
changes.file.occupiedSpace            integerActual storage used by the file.
changes.file.pictureMetadata.widthintegerImage width.
changes.file.pictureMetadata.heightintegerImage height.
changes.file.pictureMetadata.rotationintegerImage rotation angle.
changes.file.pictureMetadata.location.latitudenumberLatitude stored in the image.
changes.file.pictureMetadata.location.longitudenumberLongitude stored in the image.
changes.file.pictureMetadata.location.altitudenumberAltitude stored in the image.
changes.file.pictureMetadata.exifTimestringDate and time the image was created (EXIF DateTime).
changes.file.pictureMetadata.cameraMakerstringMaker of the camera that was used to create the image.
changes.file.pictureMetadata.cameraModelstringModel of the camera that was used to create the image.
changes.file.pictureMetadata.exposureTimenumberLength of the exposure, in seconds.
changes.file.pictureMetadata.aperturenumberAperture (f-number) used when creating the image.
changes.file.pictureMetadata.flashUsedbooleanIndicates whether a flash was used to create the image.
changes.file.pictureMetadata.focalLengthnumberFocal length used when creating the image, in millimeters.
changes.file.pictureMetadata.isoSpeedintegerISO speed used when creating the image.
changes.file.pictureMetadata.meteringModestringMetering mode used when creating the image.
changes.file.pictureMetadata.sensorstringType of sensor used when creating the image.
changes.file.pictureMetadata.exposureModestringExposure mode used when creating the image.
changes.file.pictureMetadata.colorSpacestringColor space of the image.
changes.file.pictureMetadata.whiteBalancestringWhite balance mode used when creating the image.
changes.file.pictureMetadata.exposureBiasnumberExposure bias of the image (APEX value).
changes.file.pictureMetadata.maxApertureValuenumberMaximum aperture used when creating the image (APEX value).
changes.file.pictureMetadata.subjectDistanceintegerDistance to the subject of the image, in meters.
changes.file.pictureMetadata.lensstringLens used for creating the image.
changes.file.videoMetadata.widthintegerWidth of the video.
changes.file.videoMetadata.heightintegerHeight of the video.
changes.file.videoMetadata.durationTime            integerDuration of the video in milliseconds.
changes.file.sha256stringSHA-256 value for the file.
changes.file.lastHistoryVersionIdstringID of the latest version.
changes.file.contentVersionstringContent version number.